Name:		b43-fwcutter
Summary:	Tool to extract firmware for Broadcom 43xx network chip
Version:	017
Release:	%mkrel 3
Source:		http://bues.ch/b43/fwcutter/%{name}-%{version}.tar.bz2
Patch0:		%{name}-013-install_perms.patch
URL:		http://linuxwireless.org/en/users/Drivers/b43
License:	GPL
Group:		System/Networking

%description
Fwcutter allows you to extract the firmware required for Broadcom 43xx chips
out of the .o files available with the card or on the internet.

Not all versions of the firmwares are supported by this tool.
You can list supported firmwares with :
b43-fwcutter -l

Depending on your chip, you will need a version 3 or 4 firmware.

Useful reading and links to firmwares that can be extracted are available at 
http://linuxwireless.org/en/users/Drivers/b43

Extract (as root) with :
b43-fwcutter -w /lib/firmware wl_apsta_mimo.o OR
b43-fwcutter -w /lib/firmware wl_apsta.o (for LP-PHY cards like BCM4312 only!)

It will create files directly at the required place (in either b43legacy or 
b43 subfolder).

%prep
%setup -q
%patch0 -p1
perl -pi -e 's|man/man1|share/man/man1|g' Makefile

%build
%make
										
%install
make install PREFIX=%buildroot/%_prefix

%files
%doc README
%{_bindir}/*
%{_mandir}/man1/*





%changelog

* Tue Jan 22 2013 fwang <fwang> 017-3.mga3
+ Revision: 390847
- update rpm group

* Fri Jan 11 2013 umeabot <umeabot> 017-2.mga3
+ Revision: 346751
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 13 2012 zezinho <zezinho> 017-1.mga3
+ Revision: 330462
- new version

* Mon Dec 03 2012 zezinho <zezinho> 016-1.mga3
+ Revision: 326044
- new version

* Mon Aug 29 2011 tv <tv> 015-1.mga2
+ Revision: 136225
- new release

* Tue Jan 11 2011 supp <supp> 013-1.mga1
+ Revision: 6257
- imported package b43-fwcutter

